## com.ibatis.jpetstore.persistence.sqlmapdao
Class CategorySqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
                  com.ibatis.jpetstore.persistence.sqlmapdao.CategorySqlMapDao

All Implemented Interfaces:
  CategoryDao, com.ibatis.dao.client.Dao, com.ibatis.sqlmap.client.SqlMapExecutor

public class CategorySqlMapDao
extends BaseSqlMapDao
implements CategoryDao

Field Summary

Fields inherited from class com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
`PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`CategorySqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Method Summary
`Category` `getCategory(String categoryId)`
`List` `getCategoryList()`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategorySqlMapDao

    public CategorySqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Method Detail

### getCategoryList

    public List getCategoryList()

  Specified by:
    `getCategoryList` in interface `CategoryDao`

### getCategory

    public Category getCategory(String categoryId)

  Specified by:
    `getCategory` in interface `CategoryDao`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.